/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package modelo;

/**
 *
 * @author javier
 */
public class ReqInformacion extends Requisito
{
    private String conceptoRelevante;
    private int tiempoMaxVida;
    private int tiempoMedVida;
    private String unidadFreqMax;
    private String unidadFreqMed;
    private int numOcurrencias;
    private int numMedio;

    public String getConceptoRelevante()
    {
        return conceptoRelevante;
    }

    public void setConceptoRelevante(String conceptoRelevante)
    {
        this.conceptoRelevante = conceptoRelevante;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }
    public int getTiempoMaxVida()
    {
        return tiempoMaxVida;
    }
    public void setTiempoMaxVida(int tiempoMaxVida)
    {
        this.tiempoMaxVida = tiempoMaxVida;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }
    public int getTiempoMedVida()
    {
        return tiempoMedVida;
    }
    public void setTiempoMedVida(int tiempoMedVida)
    {
        this.tiempoMedVida = tiempoMedVida;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }
    public String getUnidadFreqMax()
    {
        return unidadFreqMax;
    }
    public void setUnidadFreqMax(String unidadFreqMax)
    {
        this.unidadFreqMax = unidadFreqMax;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }
    public String getUnidadFreqMed()
    {
        return unidadFreqMed;
    }
    public void setUnidadFreqMed(String unidadFreqMed)
    {
        this.unidadFreqMed = unidadFreqMed;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }
    public int getNumOcurrencias()
    {
        return numOcurrencias;
    }
    public void setNumOcurrencias(int numOcurrencias)
    {
        this.numOcurrencias = numOcurrencias;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    public int getNumMedio()
    {
        return numMedio;
    }

    public void setNumMedio(int numMedio)
    {
        this.numMedio = numMedio;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }
    
}
/*private String conceptoRelevante;
    private int tiempoMaxVida;
    private int tiempoMedVida;
    private String unidadFreqMax;
    private String unidadFreqMed;
    private int numOcurrencias;
    private int numMedio;*/